apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  name: pipelinerun-go
  annotations:
    kubernetes.io/ssh-auth: kubernetes.io/dockerconfigjson
spec:
  params:
    - name: git-repo
      value: https://github.com/jkhelil/gohandler.git
    - name: git-revision
      value: main
    - name: output-image
      value: quay.io/jkhelil/gohandler
  workspaces:
    - name: shared
      volumeClaimTemplate:
        spec:
          accessModes:
            - ReadWriteOnce
          resources:
            requests:
              storage: 1Gi 
    - name: docker-credentials
      secret:
        secretName: push-secret
  pipelineRef:
    name: pipeline-go

